CVE-2009-0358

NameCVE-2009-0358
DescriptionMozilla Firefox 3.x before 3.0.6 does not properly implement the (1) no-store and (2) no-cache Cache-Control directives, which allows local users to obtain sensitive information by using the (a) back button or (b) history list of the victim's browser, as demonstrated by reading the response page of an https POST request.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
iceweaselsourceetch(not affected)
iceweaselsource(unstable)3.0
xulrunnersourceetch(not affected)
xulrunnersource(unstable)1.9.0.5-1

Notes

[etch] - iceweasel <not-affected> (Only affects Firefox 3.x)
Iceweasel in Lenny links against Xulrunner
[etch] - xulrunner <not-affected> (Only affects Xulrunner 1.9)

Search for package or bug name: Reporting problems